@import "../../css/colors.css";
@import "../../css/units.css";

.editorContainer {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    padding: calc(3 * var(--grid-unit));
    /* background-color: aqua; */
}

.row {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.editorContainerTop {
    border-bottom: 1px dashed var(--ui-pane-border);
    padding-bottom: calc(2 * var(--grid-unit));
}

.topAlignRow {
    display: flex;
    flex-direction: row;
    height: 100%;
    padding-top: calc(5 * var(--grid-unit));
    min-width: 524px;
}

.row + .row {
    margin-top: calc(2 * var(--grid-unit));
}

[dir="ltr"] .modDashedBorder {
    border-right: 1px dashed var(--ui-pane-border);
    padding-right: calc(2 * var(--grid-unit));
}

[dir="rtl"] .modDashedBorder {
    border-left: 1px dashed var(--ui-pane-border);
    padding-left: calc(2 * var(--grid-unit));
}
.modLabeledIconHeight {
    height: 2.85rem; /* for the second row so the dashed borders are equal in size */
}



.buttonGroupButton  {
    display: inline-block;
    border: 1px solid var(--ui-pane-border);
    border-radius: 0;
    padding: .35rem;
}

[dir="ltr"] .buttonGroupButton  {
    border-left: none;
}

[dir="rtl"] .buttonGroupButton  {
    border-right: none;
}

[dir="ltr"] .buttonGroupButton :last-of-type {
    border-top-right-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
}

[dir="ltr"] .buttonGroupButton :first-of-type {
    border-left: 1px solid var(--ui-pane-border);
    border-top-left-radius: var(--border-radius);
    border-bottom-left-radius: var(--border-radius);
}

[dir="rtl"] .buttonGroupButton :last-of-type {
    border-top-left-radius: var(--border-radius);
    border-bottom-left-radius: var(--border-radius);
}

[dir="rtl"] .buttonGroupButton :first-of-type {
    border-right: 1px solid var(--ui-pane-border);
    border-top-right-radius: var(--border-radius);
    border-bottom-right-radius: var(--border-radius);
}

[dir="ltr"] .buttonGroupButton .modStartBorder  {
    border-left: 1px solid var(--ui-pane-border);
}

[dir="rtl"] .buttonGroupButton .modStartBorder  {
    border-right: 1px solid var(--ui-pane-border);
}

[dir="ltr"].buttonGroupButton .modNoEndBorder   {
    border-right: none;
}

[dir="rtl"].buttonGroupButton .modNoEndBorder   {
    border-left: none;
}

.buttonGroupButtonIcon {
    width: 1.25rem;
    height: 1.25rem;
    vertical-align: middle;
}

.modModeTools {
    margin-left: calc(2 * var(--grid-unit));
}

[dir="ltr"] .modMarginAfter {
    margin-right: calc(2 * var(--grid-unit));
}

[dir="rtl"] .modMarginAfter {
    margin-left: calc(2 * var(--grid-unit));
}

.controlsContainer {
    width: 100%;
    display: flex;
    flex-flow: column;
    flex-grow: 1;
    margin-left: calc(2 * var(--grid-unit));
    margin-right: calc(2 * var(--grid-unit));
}

.canvasContainer {
    width: 100%;
    flex-grow: 1;
    min-width: 402px; /* Leave room for the border */
    box-sizing: content-box;
    border: 1px solid #e8edf1;
    border-radius: .25rem;
    position: relative;
    overflow: visible;
}

.modeSelector {
    display: flex;
    max-width: 7.5rem;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: flex-start;
    align-content: flex-start;
    justify-content: space-between;
}

.zoomControls {
    display: flex;
    flex-direction: row-reverse;
}

.colorPickerWrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
}

.canvasControls {
    display: flex;
    height: 36px;
    margin-top: var(--grid-unit);
    justify-content: space-between;
}

.bitmapButton {
    display: flex;
    border-radius: 5px;
    background-color: var(--motion-primary);
    padding: calc(2 * var(--grid-unit));
    line-height: 1.5rem;
    font-size: calc(3 * var(--grid-unit));
    font-weight: bold;
    color: white;
    justify-content: center;
}

[dir="ltr"] .bitmapButtonIcon {
    margin-right: calc(2 * var(--grid-unit));
}

[dir="rtl"] .bitmapButtonIcon {
    margin-left: calc(2 * var(--grid-unit));
}

@media only screen and (max-width: var(--full-size-paint)) {
    .editorContainer {
        padding: calc(3 * var(--grid-unit) var(--grid-unit));
    }

    .modeSelector {
        flex-direction: column;
        justify-content: flex-start;
    }

    .controlsContainer {
        margin-right: var(--grid-unit);
        margin-left: var(--grid-unit);
    }
}

.textArea {
    background: transparent;
    border: none;
    display: none;
    margin: 0px;
    opacity: .8;
    outline: none;
    overflow: hidden;
    padding: 0px;
    position: absolute;
    resize: none;
    -webkit-text-fill-color: transparent;
    text-fill-color: transparent;
}

.buttonText {
    width: 100%; /* Fixes button text wrapping in Edge */
}
